html {
  font-size: 14px;
}

@media (min-width: 768px) {
  html {
    font-size: 16px;
  }
}

.btn:focus, .btn:active:focus, .btn-link.nav-link:focus, .form-control:focus, .form-check-input:focus {
  box-shadow: 0 0 0 0.1rem white, 0 0 0 0.25rem #258cfb;
}

html {
  position: relative;
  min-height: 100%;
}

a {
  text-decoration: none;
}

.must-star {
  display: flex;
  position: absolute;
  top: 12px;
  right: 30px;
  margin-bottom: 0;
  color: red;
}

.position-unset {
  position: unset !important;
}

.VCRImg {
  width: 70px;
  height: 30px;
}

.table > :not(:last-child) > :last-child > * {
  border-bottom-color: inherit;
}

[type="checkbox"] {
  width: 15px;
  height: 15px;
  cursor: pointer;
  border: 0.5px;
  color: #4D4D4D;
  overflow: hidden;
  vertical-align: middle;
}

@media print {
  .print-btn {
    display: none
  }

  .print-btn2 {
    display: none
  }
}

.form-row {
  display: -ms-flexbox;
  display: flex;
  -ms-flex-wrap: wrap;
  flex-wrap: wrap;
  margin-right: -5px;
  margin-left: -5px;
}

.mb-20 {
  margin-bottom: 20px;
}

.pt-20 {
  padding-top: 20px;
}

@media (min-width: 1220px) {
  .modal-dialog {
    margin: 1.75rem auto;
  }
}

.empty-text2 {
  display: block;
  position: relative;
  padding-left: 28px;
  color: #646565;
  font-size: 1.25rem;
  text-align: left;
  background-image: url('../img/empty-alert.png');
  background-repeat: no-repeat;
  background-position: left center;
  background-size: 25px auto;
}

.mvc-grid-pager .nav .nav-item {
  max-height: 50px;
  height: auto;
}

  .mvc-grid-pager .nav .nav-item button {
    margin: 0;
  }


@media(min-width:768px) {
  .row-md-20 {
    padding-bottom: 20px;
  }
}

@media(max-width:767px) {
  .row-md-last {
    padding-bottom: 20px;
  }
}


/*bs-card*/

.card {
  display: -ms-flexbox;
  display: flex;
  position: relative;
  -ms-flex-direction: column;
  flex-direction: column;
  min-width: 0;
  border: 1px solid rgba(0,0,0,.125);
  border-radius: .25rem;
  background-clip: border-box;
  background-color: #fff;
  word-wrap: break-word
}

  .card > hr {
    margin-right: 0;
    margin-left: 0
  }

  .card > .list-group {
    border-top: inherit;
    border-bottom: inherit
  }

    .card > .list-group:first-child {
      border-top-width: 0;
      border-top-right-radius: calc(.25rem - 1px);
      border-top-left-radius: calc(.25rem - 1px)
    }

    .card > .list-group:last-child {
      border-bottom-width: 0;
      border-bottom-right-radius: calc(.25rem - 1px);
      border-bottom-left-radius: calc(.25rem - 1px)
    }

    .card > .card-header + .list-group, .card > .list-group + .card-footer {
      border-top: 0
    }

.card-body {
  -ms-flex: 1 1 auto;
  flex: 1 1 auto;
  min-height: 1px;
  padding: 1.25rem
}

.card-title {
  margin-bottom: .75rem
}

.card-subtitle {
  margin-top: -.375rem;
  margin-bottom: 0
}

.card-text:last-child {
  margin-bottom: 0
}

.card-link:hover {
  text-decoration: none
}

.card-link + .card-link {
  margin-left: 1.25rem
}

.card-header {
  margin-bottom: 0;
  padding: .75rem 1.25rem;
  border-bottom: 1px solid rgba(0,0,0,.125);
  background-color: rgba(0,0,0,.03)
}

  .card-header:first-child {
    border-radius: calc(.25rem - 1px) calc(.25rem - 1px) 0 0
  }

.card-footer {
  padding: .75rem 1.25rem;
  border-top: 1px solid rgba(0,0,0,.125);
  background-color: rgba(0,0,0,.03)
}

  .card-footer:last-child {
    border-radius: 0 0 calc(.25rem - 1px) calc(.25rem - 1px)
  }

.card-header-tabs {
  margin-right: -.625rem;
  margin-bottom: -.75rem;
  margin-left: -.625rem;
  border-bottom: 0
}

.card-header-pills {
  margin-right: -.625rem;
  margin-left: -.625rem
}

.card-img-overlay {
  position: absolute;
  top: 0;
  right: 0;
  bottom: 0;
  left: 0;
  padding: 1.25rem;
  border-radius: calc(.25rem - 1px)
}

.card-img, .card-img-bottom, .card-img-top {
  flex-shrink: 0;
  width: 100%;
  -ms-flex-negative: 0
}

.card-img, .card-img-top {
  border-top-right-radius: calc(.25rem - 1px);
  border-top-left-radius: calc(.25rem - 1px)
}

.card-img, .card-img-bottom {
  border-bottom-right-radius: calc(.25rem - 1px);
  border-bottom-left-radius: calc(.25rem - 1px)
}

.card-deck .card {
  margin-bottom: 15px
}

@media (min-width: 576px) {
  .card-deck {
    display: -ms-flexbox;
    display: flex;
    -ms-flex-flow: row wrap;
    flex-flow: row wrap;
    margin-right: -15px;
    margin-left: -15px
  }

    .card-deck .card {
      -ms-flex: 1 0 0;
      flex: 1 0 0;
      margin-right: 15px;
      margin-bottom: 0;
      margin-left: 15px
    }
}

.card-group > .card {
  margin-bottom: 15px
}

@media (min-width: 576px) {
  .card-group {
    display: -ms-flexbox;
    display: flex;
    -ms-flex-flow: row wrap;
    flex-flow: row wrap
  }

    .card-group > .card {
      -ms-flex: 1 0 0;
      flex: 1 0 0;
      margin-bottom: 0
    }

      .card-group > .card + .card {
        margin-left: 0;
        border-left: 0
      }

      .card-group > .card:not(:last-child) {
        border-top-right-radius: 0;
        border-bottom-right-radius: 0
      }

        .card-group > .card:not(:last-child) .card-header, .card-group > .card:not(:last-child) .card-img-top {
          border-top-right-radius: 0
        }

        .card-group > .card:not(:last-child) .card-footer, .card-group > .card:not(:last-child) .card-img-bottom {
          border-bottom-right-radius: 0
        }

      .card-group > .card:not(:first-child) {
        border-top-left-radius: 0;
        border-bottom-left-radius: 0
      }

        .card-group > .card:not(:first-child) .card-header, .card-group > .card:not(:first-child) .card-img-top {
          border-top-left-radius: 0
        }

        .card-group > .card:not(:first-child) .card-footer, .card-group > .card:not(:first-child) .card-img-bottom {
          border-bottom-left-radius: 0
        }
}

.card-columns .card {
  margin-bottom: .75rem
}

@media (min-width: 576px) {
  .card-columns {
    -webkit-column-gap: 1.25rem;
    -moz-column-gap: 1.25rem;
    column-gap: 1.25rem;
    orphans: 1;
    -webkit-column-count: 3;
    -moz-column-count: 3;
    column-count: 3;
    widows: 1
  }

    .card-columns .card {
      display: inline-block;
      width: 100%
    }
}

.accordion {
  overflow-anchor: none
}

  .accordion > .card {
    overflow: hidden
  }

    .accordion > .card:not(:last-of-type) {
      border-bottom: 0;
      border-bottom-right-radius: 0;
      border-bottom-left-radius: 0
    }

    .accordion > .card:not(:first-of-type) {
      border-top-right-radius: 0;
      border-top-left-radius: 0
    }

    .accordion > .card > .card-header {
      margin-bottom: -1px;
      border-radius: 0
    }

@media(min-width:992px) {
  .row-lg-20 {
    padding-bottom: 20px;
  }
}

@media(max-width:991px) {
  .row-lg-20 {
    padding-bottom: 10px;
  }
}

.carousel-control2 {
  position: absolute;
  right: 10px;
  bottom: 10px;
  z-index: 3;
}
.slick-Ctrl2 {
  position: absolute;
  right: 10px;
  bottom: 10px;
  z-index: 3;
}

/*summernote 編輯器*/
.note-img-center {
  height:auto;
  display: flex !important;
  margin-left: auto !important;
  margin-right: auto !important;
  float: none !important; /* 強制覆蓋任何可能殘留的 float */
}
.note-img-left {
  height: auto;
  display: flex !important;
  margin-right: auto !important;
  float: none !important; /* 強制覆蓋任何可能殘留的 float */
}
.note-img-right {
  height: auto;
  display: flex !important;
  margin-left: auto !important;
  float: none !important; /* 強制覆蓋任何可能殘留的 float */
}

/* 讓圖片選取框透明且不干擾滑鼠點擊 */
.note-control-selection {
  opacity: 0 !important;
  pointer-events: none !important;
  border: none !important;
}

/* 如果你想保留工具列(Popover)但去掉黑框，這行最有效 */
.note-control-selection-list {
  display: none !important;
}